%define oname mate-icon-theme-faenza

Name:             mate-faenza-icon-theme
Version:          1.19.0
Release:          %mkrel 1
Summary:          MATE Desktop faenza icon theme
Group:            Graphical desktop/Mate
License:          GPLv2+ and Creative Commons Attribution-ShareAlike
URL:              http://mate-desktop.org
Source0:          http://pub.mate-desktop.org/releases/1.9/%{oname}-%{version}.tar.xz
BuildArch:        noarch
BuildRequires:    hicolor-icon-theme
BuildRequires:    mate-common
Requires:         mate-icon-theme
Requires:         mate-themes
AutoReqProv:	  no
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the Mate Faenza icon theme for MATE.

%prep
%setup -qn %{oname}-%{version}

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_iconsdir}

%post
/bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzagray &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzadark &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzadark &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzagray &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :

fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :


%clean
rm -rf %buildroot

%changelog
* Fri Oct 13 2017 threepio <threepio@web.de> 1.19.0-1uplos2017
- new version

* Sun May 07 2017 bb2 <bb2> 1.18.1-1pclos2017
- new version

* Fri Apr 08 2016 bb <bb> 1.10.0-3pclos2016
- convert svg places to pclos blue

* Thu Apr 07 2016 bb <bb> 1.10.0-2pclos2016
- new blue folders

* Fri Jun 12 2015 bb <bb> 1.10.0-1pclos2015
- update

* Wed Mar 05 2014 bb <bb> 1.8.0-1pclos2014
- import package for pclos
